Subject: [bug#40492] [PATCH] gnu: Add meshlab

From: Ekaitz Zarraga <[email-masked]>
Date: Mon, 11 May 2020 14:10:42 +0000

Kaixo,

On Monday, May 11, 2020 2:44 PM, Ludovic Courtès <[email-masked]> wrote:

> Egun on!
>
> > Second step will be to fix the issue.
> > Next I need to figure out what to do with the rest of the libraries. Should we package all of them? Some of them don't look interesting by themselves, maybe it's better to keep them bundled.
>
> Ideally, yes. Now, if some of these libraries have no other users, we
> can make an exception.

Understood.
Weird stuff like openkinect is not going to be used anywhere else, right? :D

> > I also have a question:
> > Most of the libraries that are bundled in meshlab have very old versions (qhull's version is from 2003). How does Guix handle breaking changes in libraries?
> > If meshlab doesn't support newer libraries, what do we need to do?
>
> We could still unbundle for example qhull and, if needed, package that
> older version that Meshlab need. In parallel, we can report the issue
> to the Meshlab developers so that future versions can use the current
> qhull.

Ok!

> I realize this is quite some work, so you’re welcome to improve things
> incrementally. If you don’t manage to deal with all the bundled
> libraries, then you can still send an updated patch and we’ll see where
> we are and perhaps push the version you arrived at.

I attach what I currently have. It's a working package with most recent version of Meshlab (overwrites older patch) with some of the libraries unbundled. It has some extra comments about bundled libs that may be better to remove if it's released, but I'll leave that to your opinion.

I'll keep doing this because it's important for me. Meshlab is a very powerful tool and we almost have it!

ty,

Ekaitz